Hardware and software requirements

Requirements for Kaspersky Security Center components

For Kaspersky Security to operate in an organization's local network, one of the following versions of Kaspersky Security Center must be installed:

Full functionality of Kaspersky Security for Virtualization 4.0 Agentless is available only when using Kaspersky Security Center 10 Service Pack 2 Maintenance Release 1.

The following Kaspersky Security Center components are required in order for the application to work:

For Kaspersky Security Center installation instructions, see the Kaspersky Security Center manuals.

The operating system on which Kaspersky Security Center is installed must be compatible with the Integration Server component.

Software requirements for the Integration Server component

The computer must have one of the following operating systems to support installation and operation of the Integration Server component:

The Microsoft .NET Framework 4.6 platform is required for installation of the Integration Server, Integration Server Management Console, and Kaspersky Security administration plug-in. This platform will be automatically installed during installation of the Integration Server, Integration Server Management Console, and Kaspersky Security administration plug-in.

Software requirements for the File Anti-Virus component in a virtual infrastructure managed by a VMware vCenter server and VMware NSX Manager

For proper functioning of the File Anti-Virus component, a virtual infrastructure managed by a VMware vCenter server and VMware NSX Manager must meet the following software requirements:

In a virtual infrastructure managed by a VMware vCenter server and VMware NSX Manager, the File Anti-Virus component protects virtual machines that have the following guest operating systems:

Software requirements for the File Anti-Virus component in a virtual infrastructure managed by a VMware vCenter server and VMware vShield Manager

For proper functioning of the File Anti-Virus component, a virtual infrastructure managed by a VMware vCenter server and VMware vShield Manager must meet the following software requirements:

In a virtual infrastructure managed by a VMware vCenter server and VMware vShield Manager, the File Anti-Virus component protects virtual machines that have the following guest operating systems:

Software requirements for the Network Threat Detection component

For the Network Threat detection component to work properly, the VMware virtual infrastructure must meet the following software requirements:

A current license for NSX for vSphere Advanced or NSX for vSphere Enterprise is required in order for the Network Threat Detection component to work.

The requirements of the Network Threat Detection component for the guest operating system of the protected virtual machine are identical to the guest operating system requirements imposed by File Anti-Virus in a virtual infrastructure managed by a VMware vCenter server and VMware NSX Manager.

The network threat detection component protects only those virtual machines that use the E1000 or VMXNET3 network adapter.

Hardware requirements

An SVM (secure virtual machine) with the File Anti-Virus component installed requires the following minimum amount of system resources:

An SVM with the Network Threat Detection component installed requires the following minimum amount of system resources:

The computer must meet the following minimum hardware requirements to support installation and operation of the Integration Server:

For the hardware requirements of Kaspersky Security Center, please refer to the Kaspersky Security Center documentation.

See VMware product manuals for hardware requirements for the VMware virtual infrastructure.

For hardware requirements for the Windows operating system, see Windows product documentation.

Page top